<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Avatar</title>
</head>

<script>

    $("#avatar").change(function () {

        $("#avatar").change(function () {
            // Obtener datos de archivos
            var choose_file = $(this)[0].files[0];
            // Interceptar la cadena después del nombre de la imagen el punto decimal
            var ftype=choose_file.name.substring(choose_file.name.lastIndexOf(".")+1);
            // Comprobar si el formato de verificación es un tipo de imagen
            if(ftype=="jpg" || ftype=="png" || ftype=="jpeg" || ftype == "JPG"){
                // Tamaño límite, el tamaño de la foto no puede exceder 1M
                var size = choose_file.size / 1024 / 1024;
                if (size > 1) {
                    Alerta ("El avatar no puede ser mayor que 1m");
                    return false;
                }
                // Instantiate un objeto de lector
                var reader = new FileReader();
                // Lea la ruta del archivo, sin valor de retorno, el resultado está en lector.Result
                reader.readAsDataURL(choose_file);
                // Lea el tiempo, luego modifique la ruta de la imagen después de leer
                reader.onload=function () {
                    // Volver a la imagen de arriba
                    $("#avatar_img").attr("src",this.result);
                }
            }else{
                Alerta ("El formato Avatar está incorrecto, vuelva a seleccionar!");
                return false;
            }
        });
</script>

<body>
    <div class="head-p" id="touxiang">
        <img src="/public/img/img_tiny_png.jpg" alt="avatar" width="100" height="100" id="AVATAR_IMG">
    </div>
    <div  id="fromTx">
        <input type="file" class="file"  name="avatar" id="avatar">
    </div>
</body>

</html>